/* nero.h 
 *  
 * Copyright (c) 1998-2000,2001 Hajime Mochizuki <motizuki@jaist.ac.jp>
 *   Natural Language Processing Laboratory,
 *   Japan Advanced Institute of Science and Technology.
 *
 *
 * Use of this software is granted only for RESEARCH PURPOSES. 
 * Redistribution is granted as long as all copyright notices are retained.
 * Redistribution with modification is allowed provided that you make your 
 * modified version obviously distinguishable from the original one.  
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR 
 * IMPLIED WARRANTIES ARE DISCLAIMED.
 *
 */
#ifndef _NERO_H_
#define _NERO_H_

/*#include "coidxr.h"*/
#include "patrash.h"

#define IDMAX 10
struct patrash_answers {
	int   no;
	int   df;
	off_t *sc_ptr;
	struct patrash_answers *next;
};

struct patrash_answer_int_char {
	int  num;
	char *str;
};

struct patrash_answer_char {
	char *str;
};

struct patrash_answer_int {
	int num;
};

struct patrash_answer_ptr {
	int   pf;
	off_t *ptr;
};

struct patrash_answer_double {
	double dbl;
};

struct dicinfo_id {
	int	n;
	char  **ids;
};

struct patrash_files {
	FILE *wan;
	struct patrash_array *pa;
};

#endif  /* _NERO_H_ */
